New Mylio system requirements

I can understand the decision of the changes, but I find it a pity that older tablets become obsolete by these new requirements.
I am unfortunately affected with an 8.0 Android system and I think it is a pity that I now have to do without new features of Mylio. Or I have to go the ecologically not recommendable way and replace a fully functional tablet.
I bought the tablet exactly one year ago. (Model 2018)

Will users who cannot update version 3.13 have to pay the full price in the future?
How do I avoid updating? Is there a way to disable the updating process?

in the Google PLAY store on your tablet, in “SETTINGS” change the "auto update apps to be “Dont auto-update apps”.

That will allow you to manually control which apps are updated.